LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
DocumentIndexMarkAsian Service Referencepublished

is a TextRange which is explicitly marked as an index entry for a DocumentIndex. More...

`import"DocumentIndexMarkAsian.idl";`

## Public Attributes
string | TextReading
| contains the reading of the string which has been chosen for the index entry. More...
string | PrimaryKeyReading
| contains the reading of the primary key of the index entry. More...
string | SecondaryKeyReading
| contains the reading the secondary key of the index entry. More...

## Detailed Description

is a TextRange which is explicitly marked as an index entry for a DocumentIndex.

For Asian languages the user can provide an additional string which is used for sorting. If the user does not provide these strings, they are not considered for sorting.

Since
  OOo 1.1.2

## Member Data Documentation

string PrimaryKeyReading
| property

contains the reading of the primary key of the index entry.

It is used to build a hierarchical document index.

string SecondaryKeyReading
| property

contains the reading the secondary key of the index entry.

It is used to build a hierarchical document index.

string TextReading
| property

contains the reading of the string which has been chosen for the index entry.

The documentation for this service was generated from the following file:

- com/sun/star/text/DocumentIndexMarkAsian.idl